Subject: RE: [eap] Issue: Proposed Different organization for the keying draft

From: <[email-masked]>
Date: Mon, 25 Oct 2004 17:07:45 +0300

I agree, clearly separating the normative parts, informative
text (like system-level security considerations of current
systems), and more speculative stuff (like what some proposed
handoff scheme might do) would improve the document
considerably.

(And it should also help to maintain the focus; IMHO this is not
the right document to describe, e.g., various ways of how handoffs
could be done in detail.)

Best regards,
Pasi

> -----Original Message-----
> From: Joseph Salowey
> Sent: Tuesday, October 19, 2004 7:30 AM
> To: [email-masked]
> Subject: [eap] Issue: Proposed Different organization for 
> the keying draft
> 
> 
> Submitter name: Joe Salowey
> Submitter email address: [email-masked]
> Date first submitted: 10/18/2004
> Reference: 
> Document: Keying Framework
> Comment type: E
> Priority: 1
> Section: All
> Rationale/Explanation of issue:
> 
> The current EAP keying framework contains a lot of good
> information, however it is somewhat difficult to read and
> understand.  I believe this is because it mixes issues that
> have to do with 802.11, handoff schemes and EAP method
> internals without clearly explaining what is expected of the
> external behavior of EAP methods.  In addition I think some of
> the material would be good to have in a standards track
> document.
> 
> Requested change:
> 
> Section 1 - External behavior expected of EAP methods and Frameworks
> 
> 1.1 - Generated key material: MSK and EMSK
> 1.2 - Exported key material: MSK, AMSK and AAA-Key
> 1.3 - Derivation of AMSK from the EMSK
> 1.4 - Identifying an instance of EAP method execution and naming keys
> 1.6 - MSK and EMSK lifetime
> 1.7 - Key Request Considerations
> 1.8 - Security Considerations
> 
> Section 2 - Internal key generation for EAP methods (informative)
> Section 3 - Example using keys in ciphering applications such 
> as 802.11i (informative)
> Section 4 - Handoff schemes (informative)
> 
> Section 1 could be a document on its own or a normative
> section of a larger document.
> 
> I will gladly help restructure the document or work on a
> separate document along these lines if this is the direction
> the working group wants to go.

_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap